* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.sayani-nav-bar-main {
    /* border: 1px solid black; */
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: sticky;
    top: 40px;
    background-color: rgba(255, 255, 255, 0.92);;
    z-index: 9999;
    backdrop-filter: blur(8px);
    padding: 0px 30px;
}
.sayani-nav-bar-main .main-nav {
    /* border: 2px solid red; */
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-around;
    /* width: 57%; */
}

.sayani-nav-bar-main .main-nav .dotted i {
    font-size: 22px;
    display: none;
}

.sayani-nav-bar-main .logo-img {
    width: 175px;
    height: 76px;
    /* border: 1px solid red; */
}

.sayani-nav-bar-main .logo-img img {
    width: 100%;
    height: 100%;
}

.sayani-nav-bar-main .nav-ul {
    width: 650px;
    /* border: 1px solid black; */
}

.sayani-nav-bar-main .nav-ul .ul {
    display: flex;
}

.sayani-nav-bar-main .nav-ul .ul .dropdown {
    list-style: none;
    font: 15px Roboto, sans-serif;
    padding: 24px 10px;
    font-weight: bold;
    position: relative;
    transition: color 0.7s ease;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 5px;
}

.sayani-nav-bar-main .nav-ul .ul .dropdown i {
    font-size: 12px;
}

.sayani-nav-bar-main .nav-ul .ul .dropdown::after {
    content: "";
    position: absolute;
    left: 10px;
    bottom: 10px;
    height: 2px;
    width: 0;
    background: #2EC4B6;
    transition: width 0.7s ease;
}

.sayani-nav-bar-main .nav-ul .ul .dropdown:hover::after {
    width: 80%;
}

.sayani-nav-bar-main .nav-ul .ul .dropdown:hover {
    color: #2EC4B6;
}
.sayani-nav-bar-main .nav-ul .ul .dropdown .dropdowen-menu{
     position: absolute;
  background: #f7f7f7;
  top: 64px;
  left: 0;
  width: 170px;
  overflow: hidden;
  border-top: 1px solid rgb(152 153 155);
  max-height: 0;
  opacity: 0;
  transform: translateY(40px);
  transition: 
      max-height 0.4s ease,
      opacity 0.4s ease,
      transform 0.4s ease;
}
.sayani-nav-bar-main .nav-ul .ul .dropdown:hover .dropdowen-menu{
     max-height: 330px;         /* Enough height */
  opacity: 1;
  transform: translateY(0);
}


.sayani-nav-bar-main .right-bar {
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 25%;
}

.sayani-nav-bar-main .right-bar .icon i {
    transform: rotate(450deg);
    font-size: 18px;
}

/* .sayani-nav-bar-main .nav-ul .dropdowen-menu {
    display: none;
    position: absolute;
    background-color: #FFFF;
    min-width: 160px;
    top: 100%;
    left: 0;
    z-index: 1;
    flex-direction: column;
    border: 2px solid black;
} */

.sayani-nav-bar-main .nav-ul .dropdowen-menu .li {
    padding: 10px 15px;
    list-style: none;
    color: black;
}

/* .sayani-nav-bar-main .nav-ul .dropdown:hover .dropdowen-menu {
    display: block;
} */

.sayani-nav-bar-main .nav-ul .dropdown:hover .dropdowen-menu .li:hover {
    background-color: rgb(202, 200, 200);
    color: #2EC4B6;
    letter-spacing: .8px;
    transition: 0.5s ease;
}

.sayani-nav-bar-main .right-bar {
    /* border: 1px solid red; */
}

.sayani-nav-bar-main .right-bar .button button {
    display: inline-block;
    padding: 12px 20px;
    border: 1px solid #4f4f4f;
    border-radius: 4px;
    transition: all 0.2s ease-in;
    position: relative;
    overflow: hidden;
    font-size: 16px;
    cursor: pointer;
    color: black;
    z-index: 1;
}

.sayani-nav-bar-main .right-bar .button button::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%) scaleY(1) scaleX(1.25);
    top: 100%;
    width: 140%;
    height: 180%;
    background-color: rgba(0, 0, 0, 0.05);
    border-radius: 50%;
    display: block;
    transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
}

.sayani-nav-bar-main .right-bar .button button::after {
    content: "";
    position: absolute;
    left: 55%;
    transform: translateX(-50%) scaleY(1) scaleX(1.45);
    top: 180%;
    width: 160%;
    height: 190%;
    background-color: #39bda7;
    border-radius: 50%;
    display: block;
    transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
    z-index: -1;
}

.sayani-nav-bar-main .right-bar .button button:hover {
    color: #ffffff;
    border: 1px solid #39bda7;
}

.sayani-nav-bar-main .right-bar .button button:hover::before {
    top: -35%;
    background-color: #39bda7;
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

.sayani-nav-bar-main .right-bar .button button:hover::after {
    top: -45%;
    background-color: #39bda7;
    transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

/* SUB-NAV-MENU-DESIGN */

.main-sub-nav-menu-design {
    position: sticky;
  left: 0;
  top:146px;
  width: 100%;
  background: rgba(0, 0, 0, 0.9);
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  transition: max-height 0.5s ease, opacity 0.5s ease;
  z-index: 999;
}
.drop-nav{
  max-height: 330px;
  opacity: 1;
}
#icon {
    transition: transform 0.3s ease, opacity 0.3s ease;
}

/* Fade & rotate effect */
.fade-out {
    opacity: 0;
    transform: rotate(90deg);
}
.main-sub-nav-menu-design .sub-menu {
    /* border: 1px solid red; */
    padding: 9px 0 9px 15px;
    font-size: 16px;
    color: #ffff;
    border-bottom: 1PX SOLID rgb(71 70 70);
}

.main-sub-nav-menu-design .sub-menu:hover {
    letter-spacing: 1.7px;
    /* border-bottom: 1px solid black; */
    background-color: #454545;
    color: #ffff;
    /* font-weight: bold; */
    transition: .4s;
}